%  Script file: dist2d.m
%
%  Purpose: 
%    To calculate the distance between two points on a
%    cartesian plane. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   dist      -- Distance between points
%   x1, y1    -- Point 1
%   x2, y2    -- Point 2

% Prompt the user for the input points
x1 = input('Enter x1: ');
y1 = input('Enter y1: ');
x2 = input('Enter x2: ');
y2 = input('Enter y2: ');
 
% Calculate dBm
dist = sqrt((x1-x2)^2 + (y1-y2)^2);

% Tell user
disp (['The distance is ' num2str(dist)]);
