%  Script file: decibel.m
%
%  Purpose: 
%    To calculate the dBm corresponding to a user-supplied 
%    power in watts. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   dBm       -- Power in dBm
%   pin       -- Power in watts

% Prompt the user for the input power.
pin = input('Enter the power in watts: ');
 
% Calculate dBm
dBm = 10 * log10( pin / 1.0e-3 );

% Tell user
disp (['Power = ' num2str(dBm) ' dBm']);
