%  Script file: cosh_plot.m
%
%  Purpose: 
%    To plot cosh x vs x. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   x         -- input values
%   coshx     -- cosh(x)

% Create array of power in input values
x = -3:0.1:3;

% Calculate cosh(x)
coshx = cosh(x);

% Plot on linear scale
plot(x,coshx);
title('Plot of cosh(x) vs x');
xlabel('x');
ylabel('cosh(x)');
grid on;

