%  Script file: cosh1.m
%
%  Purpose: 
%    To calculate the hyperbolic cosine of x. 
%
%  Record of revisions:
%      Date       Programmer          Description of change
%      ====       ==========          =====================
%    11/14/07    S. J. Chapman        Original code 
%
% Define variables:
%   x         -- Input value
%   res1      -- cosh(x) from the definition
%   res2      -- cosh(x) from the MATLAB function

% Prompt the user for the input power.
x = input('Enter x: ');
 
% Calculate cosh(x)
res1 = ( exp(x) + exp(-x) ) / 2;
res2 = cosh(x);

% Tell user
fprintf('Result from definition = %14.10f\n',res1);
fprintf('Result from function   = %14.10f\n',res2);
